使用 CometAPI GET /v1/videos/ 获取 Sora 2 视频状态、进度以及时长、尺寸、时间戳和过期时间等元数据。
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}status 表示生命周期状态progress 表示粗略的进度信号error 表示提供商拒绝或执行任务失败时的错误信息expires_at 表示完成后的过期时间,如果你需要了解临时资源何时失效下载文件
completed 时,继续前往 获取视频内容。Bearer token authentication. Use your CometAPI key.
Video id returned by the create or remix endpoint.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}